.dialog-bg {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.3);
}

.dialog-bg .dialog {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 360px;
    padding: 6px;
    max-height: 90%;
    overflow-y: auto;
}

.dialog-bg .dialog .message {
    text-align: center;
}

.dialog-bg .dialog .button-content {
    display: block;
    width: 100%;
    margin-top: 10px;
    clear: both;
    overflow: hidden;
    text-align: center;
}

.dialog-bg .dialog .input-content {
    display: block;
    width: 100%;
    margin-top: 10px;
    clear: both;
    overflow: hidden;
    text-align: center;
}

.dialog-bg .dialog .button-content button {
    display: inline-block;
    margin-left: 6px;
    font-size: inherit;
    padding: 4px 20px;
    color: inherit;
    background-color: inherit;
    text-decoration: none;
    cursor: pointer;
}